package com.xunao.effectdemo.activity;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Button;

import androidx.annotation.Nullable;

import com.xunao.effectdemo.R;

/**
 * author : 程中强
 * e-mail : 740479946@qq.com
 * date : 2022/8/19:47
 * desc :
 * version: 1.0
 */
public class MainActivity extends Activity {

	Button btn1,btn2,btn3,btn4,btn5,btn6,btn7,btn8,btn9,btn10;
	Intent intent;

	@Override
	protected void onCreate(@Nullable Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		init();
	}

	void init(){
		btn1 = findViewById(R.id.btn_1);
		btn1.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,TestActivity.class);
			startActivity(intent);
		});
		btn2 = findViewById(R.id.btn_2);
		btn2.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,GuideActivity.class);
			startActivity(intent);
		});
		btn3 = findViewById(R.id.btn_3);
		btn3.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,AnimActivity.class);
			startActivity(intent);
		});
		btn4 = findViewById(R.id.btn_4);
		btn4.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,Test2Activity.class);
			startActivity(intent);
		});

		btn5 = findViewById(R.id.btn_5);
		btn5.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,QuxianActivity.class);
			startActivity(intent);
		});
		btn6 = findViewById(R.id.btn_6);
		btn6.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,ProgressDemoActivity.class);
			startActivity(intent);
		});

		btn7 = findViewById(R.id.btn_7);
		btn7.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,ActivityViewActivity.class);
			startActivity(intent);
		});

		btn8 = findViewById(R.id.btn_8);
		btn8.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,DragSelectActivity.class);
			startActivity(intent);
		});
		btn9 = findViewById(R.id.btn_9);
		btn9.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,CountDownActivity.class);
			startActivity(intent);
		});
		btn10 = findViewById(R.id.btn_10);
		btn10.setOnClickListener(v->{
			intent = new Intent(MainActivity.this,LottieActivity.class);
			startActivity(intent);
		});
	}
}
